Page MenuHomePhabricator

Move more hunk loads into DifferentialHunkQuery
ClosedPublic

Authored by epriestley on May 25 2014, 3:11 PM.

Details

Summary

Ref T5179. Ref T4045. I want to move all hunk loads into DifferentialHunkQuery so I can make it do magical things where hunks come from multiple places, handle non-utf8 encodings properly, handle compression, archive into Files, and so on.

Test Plan

Viewed some revisions. Called differential.getrawdiff.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley updated this revision to Diff 22052.May 25 2014, 3:11 PM
epriestley retitled this revision from to Move more hunk loads into DifferentialHunkQuery.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
btrahan accepted this revision.Jun 3 2014, 10:10 PM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Jun 3 2014, 10:10 PM
epriestley closed this revision.Jun 4 2014, 1:03 AM
epriestley updated this revision to Diff 22326.

Closed by commit rP71e9fb96b56e (authored by @epriestley).